%global momorel 1
Summary: A Gnome based SIP/H323 teleconferencing application
Name: ekiga
Version: 3.2.5
Release: %{momorel}m%{?dist}
URL: http://www.ekiga.org/
License: GPL
Source0: http://ftp.gnome.org/pub/gnome/sources/ekiga/3.2/%{name}-%{version}.tar.bz2 
NoSource: 0

Group: Applications/Communications
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: pkgconfig
BuildPrereq: intltool
BuildPrereq: gtk2-devel >= 2.16.0
BuildPrereq: glib2-devel >= 2.20.0
BuildPrereq: libsigc++-devel >= 2.2.3
BuildPrereq: libxml2-devel >= 2.7.3
BuildPrereq: libgnome-devel >= 2.26.0
BuildPrereq: libgnomeui-devel >= 2.24.1
BuildPrereq: GConf2-devel >= 2.26.0
BuildPrereq: libnotify-devel >= 0.4.5
BuildPrereq: libXv-devel
BuildPrereq: dbus-devel >= 1.2.4
BuildPrereq: dbus-glib-devel >= 0.80
BuildPrereq: avahi-devel >= 0.6.24
BuildPrereq: avahi-glib-devel >= 0.6.24
BuildPrereq: ptlib-devel >= 2.6.4
BuildPrereq: opal-devel >= 3.6.4
BuildPrereq: SDL-devel
BuildPreReq: openssl-devel >= 0.9.8g
BuildPrereq: evolution-data-server-devel >= 2.26.0
BuildPrereq: unixODBC-devel >= 2.2.14

Requires: dbus
Obsoletes: gnomemeeting

%description
GnomeMeeting is a tool to communicate with video and audio over the internet.
It uses the H323 protocol and is compatible with Microsoft Netmeeting.

%prep
%setup -q

%build
%configure \
    --disable-scrollkeeper \
    --disable-schemas-install \
    --enable-eds \
    --program-prefix="" \
    --enable-dbus
%make

%install
rm -rf --preserve-root %{buildroot}
%makeinstall


%clean
rm -rf --preserve-root %{buildroot}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/ekiga.schemas \
    > /dev/null || :
touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
    gtk-update-icon-cache --quiet /usr/share/icons/hicolor
fi
rarian-sk-update

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/ekiga.schemas \
	> /dev/null || :
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/ekiga.schemas \
	> /dev/null || :
fi

%postun
rarian-sk-update

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog FAQ INSTALL NEWS README TODO
%{_bindir}/ekiga
%{_bindir}/ekiga-config-tool
%{_bindir}/ekiga-helper
%{_sysconfdir}/gconf/schemas/ekiga.schemas
%{_datadir}/gnome/help/ekiga/*/*.xml
%{_datadir}/gnome/help/ekiga/*/*/*.png
%{_datadir}/locale/*/*/*
%{_mandir}/man1/*
%{_datadir}/pixmaps/ekiga/*.png
%{_datadir}/sounds/ekiga/*
%{_datadir}/applications/ekiga.desktop
%{_datadir}/omf/ekiga
%{_datadir}/dbus-1/services/*.service
%{_datadir}/icons/hicolor/*/*/*
%exclude %{_datadir}/icons/hicolor/icon-theme.cache

%changelog
* Sun Jul 12 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.2.5-1m)
- update to 3.2.5

* Fri May 22 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.2.4-1m)
- update to 3.2.4

* Wed May 13 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.2.0-3m)
- rebuild against unixODBC-2.2.14

* Tue Apr 07 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.2.0-2m)
- rebuild against openssl-0.9.8k

* Fri Mar 20 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.2.0-1m)
- update to 3.2.0

* Fri Mar  6 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.1.2-2m)
- fix BPR

* Thu Mar  5 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.1.2-1m)
- update to 3.1.2
- delete patch0 (fixed)

* Sat Feb 14 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.1.0-1m)
- update to 3.1.0
- add patch0 (fix install)

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.0.2-2m)
- rebuild against rpm-4.6

* Sat Jan 17 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.0.2-1m)
- update to 3.0.2

* Tue Oct 21 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.0.1-1m)
- update to 3.0.1

* Tue Sep 30 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.0.0-2m)
- welcome evolution-data-server

* Mon Sep 29 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.0.0-1m)
- update to 3.0.0

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0.12-2m)
- rebuild against gcc43

* Sat Mar 15 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.12-1m)
- update to 2.0.12

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.11-2m)
- %%NoSource -> NoSource

* Fri Sep 21 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.11-1m)
- update to 2.0.11
- build with opal-2.2.11([SECURITY] CVE-2007-4924)

* Wed Apr 18 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.9-1m)
- update 2.0.9

* Sat Mar 17 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.7-2m)
- rebuild against evolution-data-server-1.10.0

* Mon Mar 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.7-1m)
- update to 2.0.7

* Fri Feb 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.5-1m)
- update to 2.0.5

* Mon Jan 22 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.4-1m)
- update to 2.0.4

* Fri Oct 13 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.3-1m)
- real update

#* Fri Sep  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
#- (2.0.3-3m)
#- rebuild against evolution-data-server-1.8.0
#
#* Mon Sep  4 2006 Nishio Futoshi <futoshi@momonga-linux.org>
#- (2.0.3-1m)
#- update to 2.0.3

* Fri Sep  1 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.2-2m)
- rebuild against dbus 0.92

* Tue Aug 15 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.2-1m)
- update to 2.0.2

* Fri Jun  2 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.1-3m)
- enable avahi, dbus support

* Wed Apr 12 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.1-2m)
- rebuild against openssl-0.9.8a

* Sat Apr  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.1-1m)
- update to 2.0.1

* Fri Mar  3 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.99.1-1m)
- version up

* Wed Jan 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.99.0-1m)
- Start
